# Search API Recombee

## INTRODUCTION

This module provides a Recombee backend for the
[Search API](https://www.drupal.org/project/search_api) module.

The backend uses the [Recombee](https://www.recombee.com/) SaaS personalization
engine for indexing content. It has great performance, is suitable even for use
on large commercial websites.

The Search API backend does not support facets or searching. It is useful just
for indexing content into Recombee, improving the recommendations it is able to
make. The backend is capable of indexing more than one site, allowing for
federated recommendations across multiple Drupal sites.

## REQUIREMENTS

1. [Search API](https://www.drupal.org/project/search_api) module.
2. [Recombee API Client](https://github.com/recombee/php-api-client) library.

## INSTALLATION

The module can be installed via the
[standard Drupal installation process](https://drupal.org/node/1897420).

## CONFIGURATION

See [Search API module's README](https://www.drupal.org/node/2852816) for
instructions.

## FAQ

 * Does Recombee Search backend support Pagination?

   Recombee Search Backend does not support pagination.

 * Does Recombee Search backend support filtering by other fields other than Global full text search?

   Recombee Search Backend does not support filtering other than text search.

## MAINTAINERS

This module is maintained by developers at Morpht. For more information on the
company and our offerings, see [morpht.com](https://morpht.com/).
