<?php

namespace Drupal\search_api_recombee\Plugin\views\filter;

use Drupal\Core\Form\FormStateInterface;
use Drupal\search_api\Plugin\views\filter\SearchApiFulltext;

/**
 * Defines a filter for fulltext search with Recombee integration.
 *
 * @ingroup views_filter_handlers
 */
class SearchApiRecombeeFulltext extends SearchApiFulltext {

  /**
   * {@inheritdoc}
   */
  public function buildExposedForm(&$form, FormStateInterface $form_state) {
    parent::buildExposedForm($form, $form_state);

    $form['RecombeeUserId'] = [
      '#type' => 'hidden',
      '#title' => $this->t('Recombee User ID'),
    ];
    $form['#attached']['library'][] = 'search_api_recombee/prefill';
  }

}
